    Program f04aefe

!     F04AEF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: f04aef, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Integer                          :: i, ifail, lda, ldaa, ldb, ldbb, ldc, &
                                          m, n
!     .. Local Arrays ..
      Real (Kind=nag_wp), Allocatable  :: a(:,:), aa(:,:), b(:,:), bb(:,:),    &
                                          c(:,:), wkspce(:)
!     .. Executable Statements ..
      Write (nout,*) 'F04AEF Example Program Results'
      Write (nout,*)
!     Skip heading in data file
      Read (nin,*)
      Read (nin,*) n
      lda = n
      ldaa = n
      ldb = n
      ldbb = n
      ldc = n
      m = 1
      Allocate (a(lda,n),aa(ldaa,n),b(ldb,1),bb(ldbb,1),c(ldc,1),wkspce(n))
      Read (nin,*)(a(i,1:n),i=1,n), (b(i,1),i=1,n)

!     ifail: behaviour on error exit
!             =0 for hard exit, =1 for quiet-soft, =-1 for noisy-soft
      ifail = 0
      Call f04aef(a,lda,b,ldb,n,m,c,ldc,wkspce,aa,ldaa,bb,ldbb,ifail)

      Write (nout,*) ' Solution'
      Write (nout,99999)(c(i,1),i=1,n)

99999 Format (1X,F9.4)
    End Program f04aefe
